# IShChannel.h File Reference

## Classes
class | TChannelDataBucket
struct | IShChannelTileIterator
struct | IShChannelUpdateInfo
struct | IShChannel
## Typedefs
typedef uint32 | TDataAccessFlags
## Enumerations
enum | EDataAccessFlags { kDataRead = eTileRead, kDataWrite = eTileWrite, kDataReadWrite = eTileReadWrite, kDataDisplay = eTileDisplay, kDataNeverCopy = 8, kDataForceCopy = 16, kDataReplicateBorders = 32, kDataUseDestBucket = 64, kDataSeamlessTiling = 128 }
## Functions
| MCDEFINE_GUID (IID_IShChannel, 0x4c23a50, 0x361e, 0x11d2, 0xb8, 0x7f, 0x0, 0x10, 0x4b, 0x2c, 0x90, 0x11)
| MCDEFINE_GUID (IID_IShChannelTileIterator, 0x5fcfcd90, 0x67b7, 0x11d2, 0xb8, 0xa2, 0x0, 0x10, 0x4b, 0x2c, 0x90, 0x11)

## Typedef Documentation

typedef uint32 TDataAccessFlags

## Enumeration Type Documentation

enum EDataAccessFlags

These flags are used in IShChannel::GetData() and IShChannel::PutData(). If the Channel is in wrap-mode, then rects outside the image are filled in, unless you specify eNeverWrap.

Enumerator:

  kDataRead | read access only
  kDataWrite | write access only
  kDataReadWrite |
  kDataDisplay |
  kDataNeverCopy | if a copy is nec. (for instance the rect covers multiple tiles) then fail
  kDataForceCopy | always get a copy of the data
  kDataReplicateBorders | the border insetad of doing wrap around when specified, the data outside the channel is generated by duplicating
  kDataUseDestBucket | setup by caller to GetData. [use with eDataForceCopy] destination pixel bucket is
  kDataSeamlessTiling | if you are outside the image, the image is flipped every tile

## Function Documentation

MCDEFINE_GUID | ( | IID_IShChannelTileIterator | ,
|  | 0x5fcfcd90 | ,
|  | 0x67b7 | ,
|  | 0x11d2 | ,
|  | 0xb8 | ,
|  | 0xa2 | ,
|  | 0x0 | ,
|  | 0x10 | ,
|  | 0x4b | ,
|  | 0x2c | ,
|  | 0x90 | ,
|  | 0x11 |  |
| ) |  |  |

MCDEFINE_GUID | ( | IID_IShChannel | ,
|  | 0x4c23a50 | ,
|  | 0x361e | ,
|  | 0x11d2 | ,
|  | 0xb8 | ,
|  | 0x7f | ,
|  | 0x0 | ,
|  | 0x10 | ,
|  | 0x4b | ,
|  | 0x2c | ,
|  | 0x90 | ,
|  | 0x11 |  |
| ) |  |  |